extends Area2D
class_name CollisionLoadingZone

@export var loading_zone_transporter: LoadingZoneTransporter

# Private Methods
func _on_body_entered(body: Node2D) -> void:
	if body is not PlayerCharacter:
		return
	
	loading_zone_transporter.Activate()
